<?php


namespace Drupal\acquia_contenthub\Event;

use Acquia\ContentHubClient\Settings;

use Symfony\Component\EventDispatcher\Event;

class AcquiaContentHubSettingsEvent extends Event {

  /**
   * The ContentHubClient settings object.
   *
   * @var \Acquia\ContentHubClient\Settings
   */
  protected $settings;

  /**
   * The provider of the settings configuration.
   *
   * @var string provider
   */
  protected $provider;

  /**
   * Gets the ContentHubClient settings object.
   *
   * @return \Acquia\ContentHubClient\Settings
   */
  public function getSettings() {
    return $this->settings;
  }

  /**
   * Set the ContentHubClient settings object.
   *
   * @param \Acquia\ContentHubClient\Settings $settings
   */
  public function setSettings(Settings $settings) {
    $this->settings = $settings;
  }

  /**
   * @return mixed
   */
  public function getProvider() {
    return $this->provider;
  }

  /**
   * @param mixed $provider
   */
  public function setProvider($provider) {
    $this->provider = $provider;
  }

}