<?php


namespace Drupal\acquia_contenthub\Event;

use Acquia\ContentHubClient\CDFObject;
use Drupal\Core\Entity\EntityInterface;
use Symfony\Component\EventDispatcher\Event;

class CDFAttributesEvent extends Event {

  /**
   * The CDF Object for which to create attributes.
   *
   * @var \Acquia\ContentHubClient\CDFObject
   */
  protected $cdf;

  /**
   * The entity which corresponds to the CDF object.
   *
   * @var \Drupal\Core\Entity\EntityInterface
   */
  protected $entity;

  /**
   * CDFAttributesEvent constructor.
   *
   * @param \Acquia\ContentHubClient\CDFObject $cdf
   *   The CDF object.
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity.
   */
  public function __construct(CDFObject $cdf, EntityInterface $entity) {
    $this->cdf = $cdf;
    $this->entity = $entity;
  }

  /**
   * Get the CDF being created.
   *
   * @return \Acquia\ContentHubClient\CDFObject
   */
  public function getCDF() {
    return $this->cdf;
  }

  /**
   * Get the entity being processed.
   *
   * @return \Drupal\Core\Entity\EntityInterface
   */
  public function getEntity() {
    return $this->entity;
  }

}