<?php

namespace Drupal\acquia_contenthub\Event;

use Acquia\ContentHubClient\CDFDocument;
use Drupal\depcalc\DependencyStack;
use Symfony\Component\EventDispatcher\Event;

class EntityDataTamperEvent extends Event {

  /**
   * The CDF Array.
   *
   * @var \Acquia\ContentHubClient\CDFDocument
   */
  protected $cdf;

  /**
   * The dependency stack.
   *
   * @var \Drupal\depcalc\DependencyStack
   */
  protected $stack;


  /**
   * EntityDataTamperEvent constructor.
   *
   * @param \Acquia\ContentHubClient\CDFDocument $cdf
   *   The CDF array.
   * @param \Drupal\depcalc\DependencyStack $stack
   *   The dependency stack.
   */
  public function __construct(CDFDocument $cdf, DependencyStack $stack) {
    $this->cdf = $cdf;
    $this->stack = $stack;
  }

  /**
   * Get the current CDF document.
   *
   * @return \Acquia\ContentHubClient\CDFDocument
   */
  public function getCDF() {
    return $this->cdf;
  }

  /**
   * Set the CDF document.
   *
   * @param \Acquia\ContentHubClient\CDFDocument $cdf
   *   The cdf document.
   */
  public function setCDF(CDFDocument $cdf) {
    $this->cdf = $cdf;
  }

  /**
   * Get the dependency stack.
   *
   * @return \Drupal\depcalc\DependencyStack
   */
  public function getStack() {
    return $this->stack;
  }

}
