<?php

namespace Drupal\acquia_contenthub\Event;

use Acquia\ContentHubClient\CDFDocument;
use Symfony\Component\EventDispatcher\Event;

class PruneCDFEntitiesEvent extends Event {

  /**
   * @var \Acquia\ContentHubClient\CDFObject[]
   */
  protected $cdf;

  /**
   * PruneCDFEntitiesEvent constructor.
   *
   * @param CDFDocument $cdf
   */
  public function __construct(CDFDocument $cdf) {
    $this->cdf = $cdf;
  }

  /**
   * The CDF Objects to consider pruning.
   *
   * @return \Acquia\ContentHubClient\CDFDocument
   */
  public function getCDF() {
    return $this->cdf;
  }

  /**
   * The list of pruned CDF objects.
   *
   * @param \Acquia\ContentHubClient\CDFDocument $cdf
   */
  public function setCDF(CDFDocument $cdf) {
    $this->cdf = $cdf;
  }

}