<?php


namespace Drupal\acquia_contenthub\EventSubscriber\GetSettings;


use Drupal\acquia_contenthub\AcquiaContentHubEvents;
use Drupal\acquia_contenthub\Event\AcquiaContentHubSettingsEvent;
use Drupal\Core\Site\Settings as CoreSettings;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class GetSettingsFromCoreSettings implements EventSubscriberInterface {

  public static function getSubscribedEvents() {
    $events[AcquiaContentHubEvents::GET_SETTINGS][] = ['onGetSettings', 1000];
    return $events;
  }

  public function onGetSettings(AcquiaContentHubSettingsEvent $event) {
    $settings = CoreSettings::get('acquia_contenthub.settings');
    if ($settings && $settings instanceof \Acquia\ContentHubClient\Settings) {
      $event->setSettings($settings);
      $event->setProvider('core_settings');
      $event->stopPropagation();
    }
  }

}
