<?php


namespace Drupal\acquia_contenthub\EventSubscriber\UnserializeCDFAttribute;


use Drupal\acquia_contenthub\AcquiaContentHubEvents;
use Drupal\acquia_contenthub\Event\UnserializeCDFAttributeEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Generic field unserializer fallback subscriber.
 */
class FallbackFieldUnserializer implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[AcquiaContentHubEvents::UNSERIALIZE_CDF_ATTRIBUTE] = ['onUnserializeAttribute'];
    return $events;
  }

  /**
   * Naive handling for fields that don't have special handling.
   *
   * @param \Drupal\acquia_contenthub\Event\UnserializeCDFAttributeEvent $event
   *   The unserialize event.
   */
  public function onUnserializeAttribute(UnserializeCDFAttributeEvent $event) {
    $attribute = $event->getAttribute();
    $values = [];
    if (!empty($attribute['value'])) {
      foreach ($attribute['value'] as $langcode => $value) {
        $values[$langcode][$event->getFieldName()] = $value;
      }
      $event->setValue($values);
    }
    $event->stopPropagation();
  }

}